/*
 * TFC Team Alert v1.0
 * Copyright (c) 2006-2007 - GoGo_xD  
 */

#include <amxmodx>

new color_BLU[4]    = {   0 ,   0    , 255   ,  75 }
new color_RED[4]    = { 255 ,   0    ,   0   ,  75 }
new color_YEL[4]    = { 255 , 255    ,   0   ,  75 }
new color_GRE[4]    = {   0 , 255    ,   0   ,  75 }

public plugin_init() {

    register_plugin("TFC Team Alert", "1.0", "GoGo_xD")
    register_event("ResetHUD", "hud_fade", "be")
    register_cvar("tfc_fade", "1")

}

public fade_effect(id, red, green, blue, alpha)
{
        message_begin(MSG_ONE,get_user_msgid("ScreenFade"),{0,0,0},id);
        write_short(5000)
        write_short(5000)
        write_short(0)
        write_byte(red)
        write_byte(green)
        write_byte(blue)
        write_byte(alpha)
        message_end()
}


public hud_fade(id) 
{
    if(get_cvar_num("tfc_fade") == 0)
    {
        return PLUGIN_HANDLED
    }
    else
    {
        switch(get_user_team(id))
            {
                case 1:     fade_effect(id, color_BLU[0], color_BLU[1], color_BLU[2], color_BLU[3])
                case 2:     fade_effect(id, color_RED[0], color_RED[1], color_RED[2], color_RED[3])
                case 3:     fade_effect(id, color_YEL[0], color_YEL[1], color_YEL[2], color_YEL[3])
                case 4:     fade_effect(id, color_GRE[0], color_GRE[1], color_GRE[2], color_GRE[3])    
            }
    }   
    return PLUGIN_CONTINUE
}